cisco.dnac.wireless_settings_dot11be_profiles module – Resource module for Wireless Settings Dot11be Profiles
Note
This module is part of the cisco.dnac collection (version 6.48.0).
You might already have this collection installed if you are using the ansible package.
It is not included in ansible-core.
To check whether it is installed, run ansible-galaxy collection list.
To install it, use: ansible-galaxy collection install cisco.dnac.
You need further requirements to be able to use this module,
see Requirements for details.
To use it in a playbook, specify: cisco.dnac.wireless_settings_dot11be_profiles.
Note
The cisco.dnac collection has been deprecated and will be removed from Ansible 14. See the discussion thread for more information.
New in cisco.dnac 6.15.0
Synopsis
Manage operations create, update and delete of the resource Wireless Settings Dot11be Profiles. - > This API allows the user to create a 802.11be Profile.Catalyst Center will push this profile to device’s “default-dot11be-profile”.Also please note , 802.11be Profile is supported only on IOS-XE controllers since device version 17.15. - > This API allows the user to delete a 802.11be Profile,if the 802.11be Profile is not mapped to any Wireless Network Profile.
This API allows the user to update a 802.11be Profile.
Note
This module has a corresponding action plugin.
Requirements
The below requirements are needed on the host that executes this module.
dnacentersdk >= 2.11.0
python >= 3.12
Parameters
Parameter |
Comments |
|---|---|
Specifies whether this 802.11be profile’s properties should be set to system default profile on device(default-dot11be-profile) or not.When a profile is marked with default as true ,configuration is pushed to device’s ‘default-dot11be-profile’. Note Setting a profile as custom (default=false) on devices with IOS-XE versions below 17.18.1 will result in a provisioning failure. Choices:
|
|
Flag for Cisco DNA Center SDK to enable debugging. Choices:
|
|
The Cisco DNA Center hostname. |
|
The Cisco DNA Center password to authenticate. |
|
The Cisco DNA Center port. Default: |
|
The Cisco DNA Center username to authenticate. Default: |
|
Flag to enable or disable SSL certificate verification. Choices:
|
|
Informs the SDK which version of Cisco DNA Center to use. Default: |
|
Id path parameter. 802.11be Profile ID. |
|
Wireless Settings Dot11be Profiles’s mloGroup. |
|
Indicates if primary 2.4GHz MLO link is enabled.(Default true). Choices:
|
|
Indicates if primary 5GHz MLO link is enabled.(Default true). Choices:
|
|
Indicates if primary 6GHz MLO link is enabled.(Default true). Choices:
|
|
Indicates if secondary 5GHz MLO link is enabled.(Default true). Choices:
|
|
MU-MIMO Downlink (Default false). This parameter is deprecated in IOS-XE versions 17.18.2 and above and will be ignored during provisioning. For IOS-XE version above 17.18.2, use the 802.11ax properties in Advanced SSID Feature Template. Choices:
|
|
MU-MIMO Uplink (Default false). This parameter is deprecated in IOS-XE versions 17.18.2 and above and will be ignored during provisioning. For IOS-XE version above 17.18.2, use the 802.11ax properties in Advanced SSID Feature Template. Choices:
|
|
OFDMA Downlink (Default true). This parameter is deprecated in IOS-XE versions 17.18.2 and above and will be ignored during provisioning. For IOS-XE version above 17.18.2, use the 802.11ax properties in Advanced SSID Feature Template. Choices:
|
|
OFDMA Multi-RU (Default false). Choices:
|
|
OFDMA Uplink (Default true). This parameter is deprecated in IOS-XE versions 17.18.2 and above and will be ignored during provisioning. For IOS-XE version above 17.18.2, use the 802.11ax properties in Advanced SSID Feature Template. Choices:
|
|
802.11be Profile Name. |
|
Flag for Cisco DNA Center SDK to enable the validation of request bodies against a JSON schema. Choices:
|
Notes
Note
SDK Method used are wireless.Wireless.create_a80211be_profile, wireless.Wireless.delete_a80211be_profile, wireless.Wireless.update80211be_profile,
Paths used are post /dna/intent/api/v1/wirelessSettings/dot11beProfiles, delete /dna/intent/api/v1/wirelessSettings/dot11beProfiles/{id}, put /dna/intent/api/v1/wirelessSettings/dot11beProfiles/{id},
Does not support
check_modeThe plugin runs on the control node and does not use any ansible connection plugins, but instead the embedded connection manager from Cisco DNAC SDK
The parameters starting with dnac_ are used by the Cisco DNAC Python SDK to establish the connection
See Also
See also
- Cisco DNA Center documentation for Wireless CreateA80211beProfile
Complete reference of the CreateA80211beProfile API.
- Cisco DNA Center documentation for Wireless DeleteA80211beProfile
Complete reference of the DeleteA80211beProfile API.
- Cisco DNA Center documentation for Wireless Update80211beProfile
Complete reference of the Update80211beProfile API.
Examples
---
- name: Create
cisco.dnac.wireless_settings_dot11be_profiles:
dnac_host: "{{dnac_host}}"
dnac_username: "{{dnac_username}}"
dnac_password: "{{dnac_password}}"
dnac_verify: "{{dnac_verify}}"
dnac_port: "{{dnac_port}}"
dnac_version: "{{dnac_version}}"
dnac_debug: "{{dnac_debug}}"
state: present
default: true
mloGroup:
primary24GhzEnable: true
primary5GhzEnable: true
primary6GhzEnable: true
secondary5GhzEnable: true
muMimoDownLink: true
muMimoUpLink: true
ofdmaDownLink: true
ofdmaMultiRu: true
ofdmaUpLink: true
profileName: string
- name: Delete by id
cisco.dnac.wireless_settings_dot11be_profiles:
dnac_host: "{{dnac_host}}"
dnac_username: "{{dnac_username}}"
dnac_password: "{{dnac_password}}"
dnac_verify: "{{dnac_verify}}"
dnac_port: "{{dnac_port}}"
dnac_version: "{{dnac_version}}"
dnac_debug: "{{dnac_debug}}"
state: absent
id: string
- name: Update by id
cisco.dnac.wireless_settings_dot11be_profiles:
dnac_host: "{{dnac_host}}"
dnac_username: "{{dnac_username}}"
dnac_password: "{{dnac_password}}"
dnac_verify: "{{dnac_verify}}"
dnac_port: "{{dnac_port}}"
dnac_version: "{{dnac_version}}"
dnac_debug: "{{dnac_debug}}"
state: present
default: true
id: string
mloGroup:
primary24GhzEnable: true
primary5GhzEnable: true
primary6GhzEnable: true
secondary5GhzEnable: true
muMimoDownLink: true
muMimoUpLink: true
ofdmaDownLink: true
ofdmaMultiRu: true
ofdmaUpLink: true
profileName: string
Return Values
Common return values are documented here, the following are the fields unique to this module:
Key |
Description |
|---|---|
A dictionary or list with the response returned by the Cisco DNAC Python SDK Returned: always Sample: |